<?php

//Clase de Paises
class clase_operadores
{
  	var $nom_tabla = 'dxopemaex';
	var  $oper = '0';
	var  $nombre = '0';
	var  $clave = '0';
	var  $nomb = '0';
	var  $apa = '0'; 
	var  $ama = '0'; 
	//var  $maestro = '0';
	var  $sel_emp = '0'; 
	var  $emp_sel = '0'; 
	var  $acc_res = '0';
	var  $des_alm = '0'; 
	var  $des_cos = '0';  
	var  $des_opp = '0';  
	var  $des_hos = '0';  
	var  $des_ord = '0';  
	var  $des_fro = '0';  
	var  $des_pun = '0';  
	var  $des_lab = '0';  
	var  $ban = '0';  
	var  $con = '0';  
	var  $ven = '0';  
	var  $com = '0';  
	var  $nom = '0';  
	var  $cxc = '0';  
	var  $inv = '0';  
	var  $cxp = '0';  
	var  $uti = '0';  
	var  $aun = '0';  
	var  $auu = '0';  
	var  $are = '0';  
	var  $ase = '0';  
	var  $abo = '0';  
	var  $ame = '0';  
	var  $empresa = '0';  
	var  $ope_vot = '0';  
	var  $tip_ope = '0';  
	var  $tip_acc = '0';
	var  $cve_acc = '0';
	var  $pun = '0';	
	var  $departamento = '0';
	var  $des_min = '0';
	var  $des_btq = '0';
	var  $minn = '0';
	var  $btq = '0';
	var  $cos = '0';
	
//Funcion de Revicion
	function revisar_operador(){
		$sql = "SELECT * FROM $this->nom_tabla WHERE nombre = '$this->nombre'";
	   	$result = mysqli_query($GLOBALS['con'] ,$sql);
	   	$num_salidas=mysqli_num_rows($result); 
		if($num_salidas>=1){
			return "ok";
		}else{
			$error = 'Error N:' . mysqli_errno($GLOBALS['con']) . ": " . mysqli_error($GLOBALS['con']);
			return "$error()";  
		}
	}
//Funcion de Agregar
	function agregar_operador(){
		$sql = "insert into $this->nom_tabla (nombre, clave, nomb, apa, ama,maestro, sel_emp, emp_sel, acc_res, des_alm, des_cos, des_opp, des_hos, des_ord, des_fro, des_pun, des_lab, ban, cos, ven, com, nom, cxc, inv, cxp, uti, aun, auu, are, ase , abo, ame, empresa, ope_vot ,tip_ope,tip_acc,cve_acc,departamento,pun,des_btq,des_min,btq,min, negativo, des_uti, manual) values('$this->nombre', '$this->clave', '$this->nomb','$this->apa','$this->ama','1', '$this->sel_emp', '$this->emp_sel', '$this->acc_res', '$this->des_alm', '$this->des_cos','$this->des_opp', '$this->des_hos', '$this->des_ord', '$this->des_fro', '$this->des_pun','$this->des_lab','$this->ban','$this->cos','$this->ven','$this->com','$this->nom', '$this->cxc','$this->inv','$this->cxp','$this->uti','$this->aun', '$this->auu', '$this->are','$this->ase', '$this->abo', '$this->ame', '$this->empresa', '$this->ope_vot','$this->tip_ope','$this->tip_acc','$this->cve_acc','$this->departamento','$this->pun','$this->des_btq','$this->des_min','$this->btq','$this->minn','$this->negativo','$this->des_uti','$this->manual')";
	   	$result = mysqli_query($GLOBALS['con'] ,$sql);
		if ($result){
			return "ok";
		}else{
			$error = 'Error N:' . mysqli_errno($GLOBALS['con']) . ": " . mysqli_error($GLOBALS['con']);
			return "$error()";  
		}
	}
//Funcion de Lista Completa
	function lista_completa(){
		$sql= "SELECT * FROM $this->nom_tabla";
		$lista = mysqli_query($GLOBALS['con'] ,$sql);
		if ($lista){
			return $lista;
		}else{
			$error = 'Error N:' . mysqli_errno($GLOBALS['con']) . ": " . mysqli_error($GLOBALS['con']);
			return "$error()";  
		}
	}
//Funcion de Lista con Busqueda
	function lista_busqueda($oper){
		$sql= "SELECT * FROM $this->nom_tabla WHERE oper = '$oper'";
		$lista = mysqli_query($GLOBALS['con'] ,$sql);
		if ($lista){
			return $lista;
		}else{
			$error = 'Error N:' . mysqli_errno($GLOBALS['con']) . ": " . mysqli_error($GLOBALS['con']);
			return "$error()";   
		}
	}
//Funcion de Modificar
	function modifica_operador($oper){
		$sql = "UPDATE $this->nom_tabla SET nombre='$this->nombre', clave='$this->clave', nomb='$this->nomb', apa='$this->apa', ama='$this->ama', sel_emp='$this->sel_emp', emp_sel='$this->emp_sel', acc_res='$this->acc_res', des_alm='$this->des_alm', des_cos='$this->des_cos', des_opp='$this->des_opp', des_hos='$this->des_hos', des_ord='$this->des_ord', des_fro='$this->des_fro', des_pun='$this->des_pun', des_lab='$this->des_lab', ban='$this->ban', cos='$this->cos', ven='$this->ven', com='$this->com', nom='$this->nom', inv='$this->inv', cxp='$this->cxp', aun='$this->aun', auu='$this->auu', are='$this->are', ase='$this->ase' , abo='$this->abo', ame='$this->ame', empresa= '$this->empresa', ope_vot='$this->ope_vot',tip_ope='$this->tip_ope',tip_acc='$this->tip_acc',cve_acc='$this->cve_acc',departamento='$this->departamento',pun='$this->pun',des_btq='$this->des_btq',des_min='$this->des_min',btq='$this->btq',min='$this->minn', negativo='$this->negativo', des_uti='$this->des_uti', manual='$this->manual' WHERE oper ='$oper'"; 
		$result= mysqli_query($GLOBALS['con'] ,$sql);
		if($result){
			return "ok";
		}else{
			$error = 'Error N:' . mysqli_errno($GLOBALS['con']) . ": " . mysqli_error($GLOBALS['con']);
			return "$error()"; 
		}
	}
//Funcion de eliminar
	function eliminar_operador($oper){  
	
	 
		$sql = "DELETE FROM $this->nom_tabla WHERE oper = '$oper'";
		$resultado = mysqli_query($GLOBALS['con'] ,$sql);
		if($resultado){
			
			return "ok";
		}else{
			$error = 'Error N:' . mysqli_errno($GLOBALS['con']) . ": " . mysqli_error($GLOBALS['con']);
			return "$error()"; 
		}           
	}   
}       
?>